Bug 1256587 - The proxy option in dnf.conf doesn't support socks5
The proxy option in dnf.conf doesn't support socks5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 00:37 EDT by ekkolord
Modified: 2016-02-16 23:23 EST (History)
8 users (show)

See Also:
Fixed In Version: dnf-1.1.6-1.fc23 dnf-1.1.6-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 23:23:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ekkolord 2015-08-25 00:37:23 EDT
Description of problem:
The proxy option in dnf.conf doesn't support socks5

Version-Release number of selected component (if applicable):
dnf-1.1.0-2.fc22.noarch

How reproducible:
Add a socks5 proxy in /etc/dnf/dnf.conf then run dnf update

Steps to Reproduce:
1. Edit /etc/dnf/dnf.conf
2. Add proxy=socks5://127.0.0.1:44
3. dnf update

Actual results:
Config error: Error parsing "proxy = u'socks5://127.0.0.1:44'": URL must be http, ftp or https not "socks5"

Expected results:
dnf use my socks5 proxy to do update

Additional info:
I know this method will work:
http_proxy=socks5://127.0.0.1:44 dnf update

I am sure dnf is using my socks5 proxy
So dnf actually support socks5 proxy, but dnf.conf doesn't support it

But this is a strange workaround
yum in CentOS 7.1.1503 support socks5 proxy in yum.conf
if dnf is meant to be better than yum, this should be fixed
Comment 1 M. Scherer 2016-01-18 09:29:28 EST
For the record:

https://github.com/rpm-software-management/dnf/pull/429
Comment 2 Fedora Update System 2016-01-26 05:35:12 EST
dnf-plugins-core-0.1.16-1.fc23 dnf-1.1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-80cbf309b4
Comment 3 Fedora Update System 2016-01-26 05:36:11 EST
dnf-plugins-core-0.1.16-1.fc22 dnf-1.1.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 4 Fedora Update System 2016-01-26 14:53:06 EST
dnf-1.1.6-1.fc23, dnf-plugins-core-0.1.16-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-80cbf309b4
Comment 5 Fedora Update System 2016-01-28 13:20:30 EST
dnf-1.1.6-1.fc23, dnf-plugins-core-0.1.16-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-01-28 18:19:44 EST
dnf-1.1.6-1.fc22, dnf-plugins-core-0.1.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 7 Fedora Update System 2016-02-03 08:07:30 EST
dnf-1.1.6-2.fc22 dnf-plugins-core-0.1.16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 8 Fedora Update System 2016-02-03 18:27:16 EST
dnf-1.1.6-2.fc22, dnf-plugins-core-0.1.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 9 Fedora Update System 2016-02-16 23:22:35 EST
dnf-1.1.6-2.fc22, dnf-plugins-core-0.1.16-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.